#include <sys/types.h>
#include <fcntl.h>
#include <signal.h>
#include <stdio.h>

#define  CLIENT_RENDEZVOUS  "/rmt/tmp/rendezvous"

main(argc, argv)
int argc;
char *argv[];
{
    int fd;
    int num_bytes;
    char buf[BUFSIZ];

    if (argc != 2) {
        fprintf(stderr, "%s: usage: %s command\n",
                         argv[0], argv[0]);
        exit(1);
    }

    if ((fd = open(CLIENT_RENDEZVOUS, O_RDWR)) < 0) {
        fprintf(stderr, "%s: cannot open %s\n",
                         argv[0], CLIENT_RENDEZVOUS);
        perror("Reason");
        exit(1);
    }

    /*
     *   Check that the CLIENT_RENDEZVOUS file is stream
     */

    if (!isastream(fd)) {
        fprintf(stderr, "%s: %s is not a stream\n",
                         argv[0], CLIENT_RENDEZVOUS);
        fprintf(stderr, "%s: Check that the server process is running\n", argv[0]);
        exit(1);
    }

    (void) signal(SIGPIPE, SIG_IGN);

    num_bytes = strlen(argv[1]) + 1;
    if (write(fd, argv[1], num_bytes) != num_bytes) {
        fprintf(stderr, "%s: cannot write to pipe\n",
                         argv[0]);
        perror("Reason");
        exit(1);
    }

    while ((num_bytes = read(fd, buf, BUFSIZ)) > 0) {
        (void) write(1, buf, num_bytes);
    }
    exit(0);
}
