void *handlep;                /* handle used internally   */
struct netconfig *netconfigp; /* info about provider      */

/*
 *  Initialize the Network Selection routines.
 */

if ((handlep = setnetpath()) == NULL) {
    nc_perror(argv[0]);
    exit(1);
}

/*
 *  Loop through all visible entries in /etc/netconfig
 *  looking for a connection-oriented transport provider.
 */

while ((netconfigp = getnetpath(handlep)) != NULL) {
    /*
     *  At this point, netconfigp points to a netconfig
     *  structure that describes an entry in /etc/netconfig.
     *  Check if it is connection-oriented (or connection-
     *  oriented with orderly release).  If it is, call
     *  doit() (a routine written within this application)
     *  that performs the TLI operations for the transport
     *  provider and implements the application.
     */

    if (netconfigp->nc_semantics == NC_TPI_COTS ||
        netconfigp->nc_semantics == NC_TPI_COTS_ORD) {
          printf("Attempting to use %s\n",
                   netconfigp->nc_netid);
          if (doit(netconfigp) == SUCCESS) {
              printf("Application succeeded\n");
              break;
          }
          printf("Application failed using %s\n",
                   netconfigp->nc_netid);
    }
}

endnetconfig(handlep);
